# eric4.Plugins.PluginVcsSubversion

Module implementing the Subversion version control plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
pluginType
pluginTypename
shortDescription
subversionCfgPluginObject
version

### Classes

VcsSubversionPlugin | Class implementing the Subversion version control plugin.

### Functions

createConfigurationPage | Module function to create the configuration page.
displayString | Public function to get the display string.
exeDisplayData | Public method to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
getVcsSystemIndicator | Public function to get the indicators for this version control system.
prepareUninstall | Module function to prepare for an uninstallation.

## VcsSubversionPlugin

Class implementing the Subversion version control plugin.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

VcsSubversionPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getConfigPath | Public method to get the filename of the config file.
getPreferences | Public method to retrieve the various refactoring settings.
getProjectHelper | Public method to get a reference to the project helper object.
getServersPath | Public method to get the filename of the servers file.
prepareUninstall | Public method to prepare for an uninstallation.
setPreferences | Public method to store the various refactoring settings.

### Static Methods

None

#### VcsSubversionPlugin (Constructor)

VcsSubversionPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VcsSubversionPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VcsSubversionPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### VcsSubversionPlugin.getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Returns:
  filename of the config file (string)

#### VcsSubversionPlugin.getPreferences

getPreferences(key)

Public method to retrieve the various refactoring settings.

key
  the key of the value to get
prefClass
  preferences class used as the storage area

Returns:
  the requested refactoring setting

#### VcsSubversionPlugin.getProjectHelper

getProjectHelper()

Public method to get a reference to the project helper object.

Returns:
  reference to the project helper object

#### VcsSubversionPlugin.getServersPath

getServersPath()

Public method to get the filename of the servers file.

Returns:
  filename of the servers file (string)

#### VcsSubversionPlugin.prepareUninstall

prepareUninstall()

Public method to prepare for an uninstallation.

#### VcsSubversionPlugin.setPreferences

setPreferences(key, value)

Public method to store the various refactoring settings.

key
  the key of the setting to be set
value
  the value to be set
prefClass
  preferences class used as the storage area

Up

## createConfigurationPage

createConfigurationPage(configDlg)

Module function to create the configuration page.

Returns:
  reference to the configuration page

Up

## displayString

displayString()

Public function to get the display string.

Returns:
  display string (QString)

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Returns:
  dictionary containing the data to query the presence of the executable

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Returns:
  dictionary with key "zzz_subversionPage" containing the relevant data

Up

## getVcsSystemIndicator

getVcsSystemIndicator()

Public function to get the indicators for this version control system.

Returns:
  dictionary with indicator as key and a tuple with the vcs name (string) and vcs display string (QString)

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up